Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565743 (CVE-2018-9262) - CVE-2018-9262 wireshark: VLAN dissector crash in epan/dissectors/packet-vlan.c
Summary: CVE-2018-9262 wireshark: VLAN dissector crash in epan/dissectors/packet-vlan.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9262
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1565723 1565732 1575743
Blocks: 1565716
TreeView+ depends on / blocked
 
Reported: 2018-04-10 16:23 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
7 users (show)

Fixed In Version: wireshark 2.4.6, wireshark 2.2.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 18:46:39 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-10 16:23:55 UTC
A flaw was found in Wireshark 2.4.0 to 2.4.5 and 2.2.0 to 2.2.13, the VLAN dissector could crash. This was addressed in epan/dissectors/packet-vlan.c by limiting VLAN tag nesting to restrict the recursion depth.


References:
https://www.wireshark.org/security/wnpa-sec-2018-19.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14469

Patch:
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=f05c3b91f9571210b86576ee6284e71a3306109d

Comment 1 Laura Pardo 2018-04-10 16:25:47 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1565723]


Note You need to log in before you can comment on or make changes to this bug.